<%@ Page Language="C#" 
    MasterPageFile="~/Resources/MasterPages/Modal.Master"
    CodeBehind="InitiateExecution.aspx.cs" 
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Builds.InitiateExecution" 
    Title="Re-execute Build"
    %>
<%@ Import Namespace="Inedo.BuildMaster.Data" %>

<asp:Content runat="server" ContentPlaceHolderID="AdditionalHeadContent" ID="AdditionalHeadContent">
    <script type="text/javascript">
    $(document).ready(function () {
        $('#<%= txtExecuteOn_Date.ClientID %>, #<%= tpExecuteOn_Time.ClientID %>').focus(function(){$('#<%= chkExecuteLater.ClientID %>').each(function(){this.checked = true;});});
    });
    </script>
</asp:Content>
<asp:Content ID="MainContent" ContentPlaceHolderID="MainContent" runat="server">

    <h2 runat="server" id="ctlH2" />
    <div class="subH2" runat="server" id="ctlSubH2" />
    
    <asp:PlaceHolder runat="server" ID="phExecution">
        <bm:FormFieldGroup runat="server" ID="ctlExecutionOptions" Narrow="true" EndGroup="true">
            <Description Heading="Execution Options">
                An execution may be run immediately, scheduled for a future date and time, or
                executed manually.
            </Description>
            <FormFields>
                <bm:StandardFormField>
                    <FieldContent>
                        <asp:RadioButton runat="server" ID="chkExecuteImmediately" 
                            GroupName="chkExecute" Checked="true" Text="Execute Immediately" />
                    </FieldContent>
                </bm:StandardFormField>
                
                <bm:StandardFormField>
                    <FieldContent>
                        <div>
                        <asp:RadioButton runat="server" ID="chkExecuteLater" 
                            GroupName="chkExecute" Text="Execute On"/>
                        </div>
                        <div style="margin-left:15px;">
                            <asp:PlaceHolder runat="server" id="phDatePickerWorkaround" />

                            <bm:StyledCustomValidator runat="server"
                                OnServerValidate="vcstDateSelected_txtExecuteOn_Date_ServerValidate" />
                            <br />
                            at
                            <bm:TimePicker runat="server" ID="tpExecuteOn_Time" />                
                        </div>
                    </FieldContent>
                </bm:StandardFormField>                
                    
            </FormFields>          
        </bm:FormFieldGroup>
    </asp:PlaceHolder>

    <div class="action-button-container">
        <asp:Button runat="server" ID="btnSubmit" 
            Text="Re-execute Promotion" OnClick="btnSubmit_Click" CssClass="button" />
        <bm:CloseModalButtonLink runat="server" ID="btnCancel" Text="Cancel" />
    </div>
    
</asp:Content>